Xüsusi domenlər
GET https://tistos.com/api/domains/available
curl --request GET \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Sətir | Axtarış stringi. |
| search_by | İstəyə bağlı Sətir | Axtardığınız sahə hansıdır. İcazə verilən dəyərlər: host. |
| datetime_field | İstəyə bağlı Sətir | İcazə verilən dəyərlər: datetime, last_datetime |
| datetime_start | İstəyə bağlı Sətir | Nəticələri bu tarix və saatdan başlayaraq filtrləyin. Y-m-d H:i:s formatı. |
| datetime_end | İstəyə bağlı Sətir | Nəticələri bu tarix və saata qədər filtrləyin. Y-m-d H:i:s formatı. |
| order_by | İstəyə bağlı Sətir | Nəticələri hansı sahəyə görə sıralamaq olar. İcazə verilən dəyərlər: domain_id, datetime, last_datetime, host. |
| order_type | İstəyə bağlı Sətir | Nəticələrin sıralanması. İcazə verilən dəyərlər: ASC artan sıralama üçün, DESC isə azalan sıralama üçün. |
| page | İstəyə bağlı Tam ədəd | Nəticələri istədiyiniz səhifə nömrəsi. Varsayılan 1-dir. |
| results_per_page | İstəyə bağlı Tam ədəd | Səhifədə neçə nəticə istədiyinizi seçin. İcazə verilən dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olaraq 25 dir. |
{
"data": [
{
"id": 1,
"type": 0,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 19:29:58",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/domains/available?page=1",
"last": "https://tistos.com/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/domains/available?page=1"
}
}
GET https://tistos.com/api/domains/
curl --request GET \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Sətir | Axtarış stringi. |
| search_by | İstəyə bağlı Sətir | Axtardığınız sahə hansıdır. İcazə verilən dəyərlər: host. |
| is_enabled | İstəyə bağlı Boolean | |
| datetime_field | İstəyə bağlı Sətir | İcazə verilən dəyərlər: datetime, last_datetime |
| datetime_start | İstəyə bağlı Sətir | Nəticələri bu tarix və saatdan başlayaraq filtrləyin. Y-m-d H:i:s formatı. |
| datetime_end | İstəyə bağlı Sətir | Nəticələri bu tarix və saata qədər filtrləyin. Y-m-d H:i:s formatı. |
| order_by | İstəyə bağlı Sətir | Nəticələri hansı sahəyə görə sıralamaq olar. İcazə verilən dəyərlər: domain_id, datetime, last_datetime, host. |
| order_type | İstəyə bağlı Sətir | Nəticələrin sıralanması. İcazə verilən dəyərlər: ASC artan sıralama üçün, DESC isə azalan sıralama üçün. |
| page | İstəyə bağlı Tam ədəd | Nəticələri istədiyiniz səhifə nömrəsi. Varsayılan 1-dir. |
| results_per_page | İstəyə bağlı Tam ədəd | Səhifədə neçə nəticə istədiyinizi seçin. İcazə verilən dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olaraq 25 dir. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 19:29:58",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/domains?page=1",
"last": "https://tistos.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/domains?page=1"
}
}
GET https://tistos.com/api/domains/{domain_id}
curl --request GET \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 19:29:58",
}
}
POST https://tistos.com/api/domains
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| host | Tələb olunur Sətir | - |
| custom_index_url | İstəyə bağlı Sətir | - |
| custom_not_found_url | İstəyə bağlı Sətir | - |
curl --request POST \
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/domains/{domain_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| host | İstəyə bağlı Sətir | - |
| custom_index_url | İstəyə bağlı Sətir | - |
| custom_not_found_url | İstəyə bağlı Sətir | - |
curl --request POST \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \